/*
 * Copyright (c) 2024 looly(loolly@aliyun.com)
 * Hutool is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          https://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */

/**
 * POI封装实现<br>
 * Java针对MS Office的操作的库屈指可数，比较有名的就是Apache的POI库。<br>
 * 这个库异常强大，但是使用起来也并不容易。Hutool针对POI封装一些常用工具，使Java操作Excel等文件变得异常简单。
 *
 * <ul>
 *     <li>HSSF － 提供读写Microsoft Excel XLS 格式文件的功能</li>
 *     <li>XSSF － 提供读写Microsoft Excel OOXML XLSX 格式文件的功能</li>
 *     <li>HWPF － 提供读写Microsoft Word DOC 格式文件的功能</li>
 *     <li>XWPF － 提供读写Microsoft Word DOCX 格式文件的功能</li>
 *     <li>HSLF － 提供读写Microsoft PowerPoint格式文件的功能</li>
 *     <li>HDGF － 提供读Microsoft Visio格式文件的功能</li>
 *     <li>HPBF － 提供读Microsoft Publisher格式文件的功能</li>
 *     <li>HSMF － 提供读Microsoft Outlook格式文件的功能</li>
 * </ul>
 *
 * @author looly
 *
 */
package org.dromara.hutool.poi;
